Input = {
	movement = 0,
	jumping = false,
	droppingDown = false,
	restart = false,
	touchPoints = 0,
}

function Input:update(dt)
	local joystick = love.joystick.getJoysticks()[1]
	local restart

	self.movement = 
		love.keyboard.isDown("left", "a") and -1 or
		love.keyboard.isDown("right", "d") and 1 or
		0

	self.jumping = love.keyboard.isDown("up", "w") or love.mouse.isDown("l", "r", "m") or self.touchPoints > 0
	self.droppingDown = love.keyboard.isDown("down", "s")

	restart = love.keyboard.isDown('return') or self.touchPoints > 0

	if joystick then
		local ax, ay = joystick:getAxes()
		local jhat = joystick:getHat(1)
		
		if ax and ay and jhat then
			if self.movement == 0 then
				if love.system.getOS() == "Android" then
					self.movement = math.max(-1, math.min(ax * 5, 1))
				else
					self.movement = ax
				end
			end
			self.jumping = self.jumping or joystick:isDown(1) or joystick:isGamepadDown('a')
			self.droppingDown = self.droppingDown or ay == 1
			restart = restart or joystick:isDown(2) or joystick:isGamepadDown('start', 'back')
		end
	end

	if restart then
		if self.restart == nil then
			self.restart = true
		elseif self.restart == true then
			self.restart = false
		end
	else
		if self.restart == false then
			self.restart = nil
		end
	end
end
