
io.stdout:setvbuf"no"

-- libraries
Gamestate = require "lib.hump.gamestate"
Timer = require "lib.hump.timer"
anim8 = require "lib.anim8"

-- helpers
require "window" 
require "resources"
require "physics"
require "input"
require "extra"

-- game objects; "actors"
require "player"
require "tracks"
require "gold"
require "obstacles"
require "scenery"

-- states
require "game"

-- global constants / reference
GAME_TIME = 0
GRAVITY = 800
MOVE_SPEED = 150
JUMP_SPEED = 120
JUMP_TIME = 0.3
TRACK_SPEED = 230
GOLD_BOUNCE_FACTOR = 100
BG_DARKNESS = 150

-- lovestuff
function love.load()

	math.randomseed(os.time())
	love.mouse.setVisible(false)

	if love.system.getOS() == "Android" then
		local screenWidth, screenHeight = love.window.getDesktopDimensions()
		local aspectRatio = screenWidth / screenHeight
		local gameHeight = 130
		local gameWidth = gameHeight * aspectRatio
		local scale = screenHeight / gameHeight

		Window:init("Mine Jumper", gameWidth, gameHeight, scale)
	else
		Window:init("Mine Jumper", 200, 150, 4)
	end
	
	Resources:load()
	Scenery:load()
	Player:load()

	Gamestate.registerEvents()
	Gamestate.switch(Game)
end

function love.update(dt)
	GAME_TIME = GAME_TIME + dt
	Window:update(dt)
end

function love.keypressed(k)
	if k == 'escape' then
		love.event.quit()
	end
end

function love.draw()
	-- for i=1, 30000000 do end
end

